Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002359 [Piwigo] database minor have not tried 2011.06.22 15:19 2011.08.24 21:50
Reporter mistic100 View Status public  
Assigned To mistic100
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.3.0beta2 Product Version 2.2.3
  Target Version 2.3.0beta2 Product Build
Summary 0002359: add single_update and single_insert functions
Description for one line updates and inserts
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0005259)
svn (reporter)
2011.06.22 17:56

[Subversion] r11485 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:2359 add single_update and single_insert functions
(0005425)
plg (manager)
2011.08.23 22:45
edited on: 2011.08.23 22:46

I change the single_update argument list to simplify calls to function. Instead of:

    single_update(
      USER_INFOS_TABLE,
      array(
        'update' => array('activation_key'),
        'primary' => array('user_id'),
        ),
      array(
        'activation_key' => $activation_key,
        'user_id' => $user_id,
        )
      );

I think this is better:

    single_update(
      USER_INFOS_TABLE,
      array(
        'activation_key' => $activation_key,
        ),
      array(
        'user_id' => $user_id,
        )
      );



function single_update($tablename, $set_fields, $where_fields, $flags=0)

(0005429)
svn (reporter)
2011.08.24 21:50

[Subversion] r11991 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2359: simpler function single_update and single_insert

- Issue History
Date Modified Username Field Change
2011.06.22 15:19 mistic100 New Issue
2011.06.22 15:19 mistic100 Status new => assigned
2011.06.22 15:19 mistic100 Assigned To => mistic100
2011.06.22 15:19 mistic100 browser => any
2011.06.22 15:19 mistic100 Web server => Apache 1.3.x
2011.06.22 17:56 svn Checkin
2011.06.22 17:56 svn Note Added: 0005259
2011.06.22 17:58 mistic100 Summary create a function single_update for one line updates => add single_update and single_insert functions
2011.06.22 17:58 mistic100 Description Updated
2011.07.01 20:05 mistic100 Status assigned => closed
2011.07.01 20:05 mistic100 Resolution open => fixed
2011.07.01 20:05 mistic100 Fixed in Version => 2.3.0beta2
2011.08.23 22:45 plg Note Added: 0005425
2011.08.23 22:46 plg Note Edited: 0005425
2011.08.24 21:50 svn Checkin
2011.08.24 21:50 svn Note Added: 0005429


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker